Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Interface XYZItemLabelGenerator

All Known Implementing Classes:
  `StandardXYZItemLabelGenerator`

public interface XYZItemLabelGenerator
A label generator for data items in XYZ charts (this can be used for tooltips and item labels). The (`StandardXYZItemLabelGenerator`) class provides the default implementation.
Implementations of this interface are expected to support cloning and serialization.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`String`
`generateItemLabel(XYZDataset dataset, Comparable<?> seriesKey, int itemIndex)`
Generates an item label for one data item in an `XYZDataset`.

## Method Details

### generateItemLabel

String generateItemLabel(XYZDataset dataset, Comparable<?> seriesKey, int itemIndex)
Generates an item label for one data item in an `XYZDataset`.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
  `itemIndex` - the item index.
Returns:
  The item label (possibly `null`).